Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 203271 - nautilus hangs trying to delete files
Summary: nautilus hangs trying to delete files
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-08-20 04:24 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-04 16:52:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 352106 None None None Never

Description Matthias Clasen 2006-08-20 04:24:52 UTC
1. select some files on the desktop
2. bring up the context menu and select "Move to Trash"
3. nautilus hangs, desktop is not redrawn

#0  0xb7f25410 in __kernel_vsyscall ()
#1  0x001c04a3 in __old__lxstat64 () from /lib/libc.so.6
#2  0x02448da7 in vfs_module_shutdown ()
   from /usr/lib/gnome-vfs-2.0/modules/libfile.so
#3  0x02449109 in vfs_module_shutdown ()
   from /usr/lib/gnome-vfs-2.0/modules/libfile.so
#4  0x008b599a in gnome_vfs_get_file_info_uri_cancellable ()
   from /usr/lib/libgnomevfs-2.so.0
#5  0x008cd183 in gnome_vfs_get_file_info_uri ()
   from /usr/lib/libgnomevfs-2.so.0
#6  0x008d3893 in gnome_vfs_escape_path_string ()
   from /usr/lib/libgnomevfs-2.so.0
#7  0x008b5e83 in gnome_vfs_find_directory_cancellable ()
   from /usr/lib/libgnomevfs-2.so.0
#8  0x008bde38 in gnome_vfs_find_directory () from /usr/lib/libgnomevfs-2.so.0
#9  0x0811f062 in nautilus_marshal_BOOLEAN__POINTER ()
#10 0x002556f9 in IA__g_cclosure_marshal_VOID__POINTER (closure=0x87cfd58, 
    return_value=0x0, n_param_values=2, param_values=0xbfc0f77c,
    invocation_hint=0xbfc0f68c, marshal_data=0x811eff0) at gmarshal.c:601
#11 0x00248f0b in IA__g_closure_invoke (closure=0x87cfd58, return_value=0x0, 
    n_param_values=2, param_values=0xbfc0f77c, invocation_hint=0xbfc0f68c)
    at gclosure.c:490
#12 0x00259d63 in signal_emit_unlocked_R (node=0x87d07e8, detail=0, 
    instance=0x87be768, emission_return=0x0, instance_and_params=0xbfc0f77c)
    at gsignal.c:2438
#13 0x0025b25f in IA__g_signal_emit_valist (instance=0x87be768, 
    signal_id=165, detail=0,
    var_args=0xbfc0f9c0
"Ãð\237\bhç{\bÃ=\237\bì\022\030\bÃRÂ¥\b°O«\b\210úÿÃ\022\017\bøN«\bhD«\bxúÿ")
at gsignal.c:2197
#14 0x0025b419 in IA__g_signal_emit (instance=0x87be768, signal_id=165, 
    detail=0) at gsignal.c:2241
#15 0x081211e5 in nautilus_marshal_BOOLEAN__POINTER ()
#16 0x080f12c3 in nautilus_directory_ref ()
#17 0x080a6b5d in fm_directory_view_bump_zoom_level ()
#18 0x080a7e5c in fm_directory_view_bump_zoom_level ()
#19 0x080a84ec in fm_directory_view_bump_zoom_level ()
#20 0x00256139 in IA__g_cclosure_marshal_VOID__VOID (closure=0x8989710, 
    return_value=0x0, n_param_values=1, param_values=0xbfc0fd6c,
    invocation_hint=0xbfc0fc7c, marshal_data=0x80a8510) at gmarshal.c:77
#21 0x00248f0b in IA__g_closure_invoke (closure=0x8989710, return_value=0x0, 
    n_param_values=1, param_values=0xbfc0fd6c, invocation_hint=0xbfc0fc7c)
    at gclosure.c:490
#22 0x00259d63 in signal_emit_unlocked_R (node=0x87ea110, detail=0, 
    instance=0x8942308, emission_return=0x0, instance_and_params=0xbfc0fd6c)
    at gsignal.c:2438
#23 0x0025b25f in IA__g_signal_emit_valist (instance=0x8942308, 
    signal_id=184, detail=0,
    var_args=0xbfc0ffac
"\204m²\006\b#\224\b\b#\224\bÃÿÿ89~\006\b#\224\b\230á\233@øÿÿº8~\006læ'")
at gsignal.c:2197
#24 0x0025b419 in IA__g_signal_emit (instance=0x8942308, signal_id=184, 
    detail=0) at gsignal.c:2241
#25 0x067e2ac5 in gtk_widget_get_action () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x067e3938 in gtk_action_activate () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x00256139 in IA__g_cclosure_marshal_VOID__VOID (closure=0x89be198, 
    return_value=0x0, n_param_values=1, param_values=0xbfc1020c,
    invocation_hint=0xbfc1011c, marshal_data=0x67e38b0) at gmarshal.c:77
#28 0x00248f0b in IA__g_closure_invoke (closure=0x89be198, return_value=0x0, 
    n_param_values=1, param_values=0xbfc1020c, invocation_hint=0xbfc1011c)
    at gclosure.c:490
#29 0x00259d63 in signal_emit_unlocked_R (node=0x883efe0, detail=0, 
    instance=0x89c2c98, emission_return=0x0, instance_and_params=0xbfc1020c)
    at gsignal.c:2438
#30 0x0025b25f in IA__g_signal_emit_valist (instance=0x89c2c98, 
    signal_id=198, detail=0, var_args=0xbfc1044c "j·\235\006\204m²\006")
    at gsignal.c:2197
#31 0x0025b419 in IA__g_signal_emit (instance=0x89c2c98, signal_id=198, 
    detail=0) at gsignal.c:2241
#32 0x069db7f4 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#33 0x068d0ab8 in gtk_menu_shell_activate_item ()
   from /usr/lib/libgtk-x11-2.0.so.0
#34 0x068d2082 in gtk_menu_shell_append () from /usr/lib/libgtk-x11-2.0.so.0
#35 0x068c9c55 in gtk_menu_reorder_child () from /usr/lib/libgtk-x11-2.0.so.0
#36 0x068c3db0 in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib/libgtk-x11-2.0.so.0
#37 0x002476f9 in g_type_class_meta_marshal (closure=0x879d168, 
    return_value=0xbfc10640, n_param_values=2, param_values=0xbfc1071c,
    invocation_hint=0xbfc1062c, marshal_data=0xb4) at gclosure.c:567
#38 0x00248f0b in IA__g_closure_invoke (closure=0x879d168, 
    return_value=0xbfc10640, n_param_values=2, param_values=0xbfc1071c,
    invocation_hint=0xbfc1062c) at gclosure.c:490
#39 0x0025a3b3 in signal_emit_unlocked_R (node=0x879e110, detail=0, 
    instance=0x89a6430, emission_return=0xbfc108dc,
    instance_and_params=0xbfc1071c) at gsignal.c:2476
#40 0x0025b027 in IA__g_signal_emit_valist (instance=0x89a6430, signal_id=35, 
    detail=0,
    var_args=0xbfc10960 "x\tÿ\200æx\b0d\232\bï¸\235\0060d\232\bh%y\b")
    at gsignal.c:2207
#41 0x0025b419 in IA__g_signal_emit (instance=0x89a6430, signal_id=35, 
    detail=0) at gsignal.c:2241
#42 0x069d7448 in gtk_widget_get_default_style ()
   from /usr/lib/libgtk-x11-2.0.so.0
#43 0x068bd253 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#44 0x068be457 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#45 0x06b891aa in gdk_add_client_message_filter ()
   from /usr/lib/libgdk-x11-2.0.so.0
#46 0x00d6e372 in IA__g_main_context_dispatch (context=0x8791580)
    at gmain.c:2043

Comment 1 Alexander Larsson 2006-08-21 12:12:35 UTC
At this point, did you have any hanged NFS mounts?


Comment 2 Matthias Clasen 2006-08-21 13:28:25 UTC
Possible

Comment 3 Matthias Clasen 2006-08-22 17:05:04 UTC
Haven't been able to reproduce it anymore. 

Comment 4 Alexander Larsson 2006-09-04 16:52:56 UTC
Its hanging in lstat, so it was probably a NFS mount gone haywire.



Note You need to log in before you can comment on or make changes to this bug.